/* sbuffp.c: dump buffer parameters for serial devices */

#include <osbind.h>
#include <xbios.h>
#include <stdio.h>

iodump(ptr)
register struct iorec *ptr;
{
	int ccount;

	if ((ccount = ptr->io_tail - ptr->io_head) < 0)
		ccount += ptr->io_bufsiz;
	printf("@%lx size=%d used=%d LWM=%d HWM=%d\n", 
		ptr->io_buff, ptr->io_bufsiz, ccount,
		ptr->io_low, ptr->io_high);
}

main()
{
	struct iorec *bp;

	bp = Iorec(0);
	printf("Serial port input buffer\t");
	iodump(bp);
	bp++;
	printf("Serial port output buffer\t");
	iodump(bp);

	bp = Iorec(1);
	printf("Keyboard input buffer\t\t");
	iodump(bp);

	bp = Iorec(2);
	printf("MIDI input buffer\t\t");
	iodump(bp);
	exit(0);
}
